{% extends "consensus_base/base.html" %}
{% load i18n %}
{% load consensus %}

{% block title %}Consensus{% endblock %}


<!-- Sidebar -->
{% block sidebar %}

{% url 'consensus_base:invitations' as invitations_url %}
{% url 'consensus_base:polls' as polls_url %}

    <a class="btn btn-dark" href="{% url 'consensus_base:poll_create' %}">{% trans 'Create poll' %}</a>
    <hr/>
    <nav id="sidebar" class="bg-light sidebar active">
      <ul id="navbar-left" class="nav nav-pills flex-column">
        <li id="navbar-left-pollsites" class="nav-item">
          <a class="nav-link {% if request.get_full_path|startswith:polls_url %}active{% endif %}" href="{% url 'consensus_base:polls' %}">{% trans 'Polls' %}</a>
        </li>
        <li id="navbar-left-pollsites" class="nav-item">
          <a class="nav-link {% if request.get_full_path|startswith:invitations_url  %}active{% endif %}" href="{% url 'consensus_base:invitations' %}">{% trans 'Invitations' %}</a>
        </li>
{% if user.is_authenticated and custom_profile_urls %}
{% with request.resolver_match.view_name as view_name %}
        <li class="nav-item"><a class="nav-link" href="{{ profile_url }}" target="_blank">{% trans 'Profile' %}</a></li>
        <li class="nav-item"><a class="nav-link" href="{{ support_url }}" target="_blank">{% trans 'Help' %}</a></li>
        <li class="nav-item">
            <a class="nav-link" href="{{ logout_url }}">Logout</a>
        </li>
{% endwith %}
{% endif %}

      </ul>
    </nav>
{% endblock sidebar %}


<!-- Content -->
{% block content %}
      <h1 id="main-h1">
{% block main-h1 %}
        dashboard H1
{% endblock main-h1 %}
      </h1>


{% if messages %}
      <ul class="list-group">
{% for message in messages %}
        <li class="list-group-item {% if message.level == DEFAULT_MESSAGE_LEVELS.ERROR %} list-group-item-danger {% endif %} {% if message.tags %} {{ message.tags }}{% endif %}">
          {{ message }}
        </li>
{% endfor %}
      </ul>
{% endif %}


{% block main %}
      main
{% endblock main %}


{% endblock content %}
